@charset "utf-8";

/* ここから、リセットcss */
*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

ul,
ol {
  list-style: none;
}

a {
  color: inherit;
  /* 親のスタイルを継承 */
  text-decoration: none;
}

/* ここまで、リセットcss */
/* ここから全体のベース */
body {
  font-family: sans-serif;
  font-size: 16px;
  color: #333333;
  line-height: 1;
  background-color: #fff;
}

img {
  max-width: 100%;
}

@media (max-width: 800px) {
  /* この中に書くcssは800pxまでに適用されます。モバイル用 */
}

/* ここまで全体のベース */
/* ここからheader */
.header-inner {
  background-color: #fff;
  max-width: 1200px;
  /* border: 1px solid #f00; */
  /* ダミー */
  height: 110px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 40px;
  padding-right: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.toggle-menu-button {
  display: none;
}

.header-logo {
  display: block;
  /* a要素はインラインの要素のため幅指定ができない。箱に変更する。 */
  width: 170px;
}

.site-menu ul {
  display: flex;
}

.site-menu ul li {
  margin-left: 20px;
  margin-right: 20px;
}

.site-menu ul li a {
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
}

@media (max-width: 800px) {
  /* この中に書くcssは800pxまでに適用されます。モバイル用 */
}

/* ここまでheader */
/* ここからfooter */
.footer {
  color: #fff;
  background-color: #333333;
  padding-top: 30px;
  padding-bottom: 15px;
  display: flex;
  /* 初期値が直接の子供（孫は効果なし）たちが横に並ぶ */
  flex-direction: column;
  /* 軸の変更　初期値は横軸row、縦軸column 横軸の反対並びrow-reverse　縦軸の反対並びcolumn-reverse */
  align-items: center;
  /* 交差軸の位置調整　今は縦並びなので横位置あわせ */
}

.footer-logo {
  display: block;
  width: 235px;
  margin-top: 90px;
}

.footer-tel {
  font-size: 26px;
  font-weight: bold;
  margin-top: 28px;
}

.footer-time {
  font-size: 13px;
  margin-top: 16px;
}

.copyright {
  font-size: 14px;
  font-weight: bold;
  margin-top: 90px;
}

@media (max-width: 800px) {
  /* この中に書くcssは800pxまでに適用されます。モバイル用 */
}

/* ここまでfooter */
/* グーグルフォント */

/* .montserrat-<uniquifier> { 
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}
  */
@media (max-width: 800px) {

  /* この中に書くcssは800pxまでに適用されます。モバイル用 */
  .site-menu ul {
    display: block;
    text-align: center;
  }

  .site-menu ul li {
    margin-top: 20px;
  }

  .header {
    position: fixed;
    /* ポジションレイアウト　fixedはブラウザ基準で位置が固定される。 */
    top: 0;
    left: 0;
    right: 0;
    background-color: #fff;
    height: 50px;
    z-index: 10;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  }

  .header-inner {
    padding-left: 20px;
    padding-right: 20px;
    height: 100%;
    /* 親要素.headerが50pxの指定をしたので親要素いっぱいに高さを保持する。 */
  }

  .header-logo {
    width: 100px;
  }

  .main {
    padding-top: 50px;
    /* fixedで固定したヘッダー（高さ50px）で隠れた部分を余白とする。 */
  }

  .footer-logo {
    margin-top: 60px;
  }

  .footer-tel {
    font-size: 20px;
  }

  .copyright {
    margin-top: 50px;
  }
}

/*
@media (min-width: 801px) {
   モバイル用のレイアウトは@mediaなしですべて記入する。
  次に、この中に書くcssは801pxから適用されます。タブレット・PC用 }
  */
@media (max-width: 800px) {

  /* ここにはハンバーガーメニューに関することのみ入れる */
  /* メニューを画面の外に出す(position:absolute)ので、基準となる場所を作る必要がある。（position:relative）親要素を基準ボックスとすることで子要素でabsoluteしたとき、指定がしやすくなる。 */
  .header-inner {
    position: relative;
  }

  .header-site-menu {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    color: #fff;
    background-color: #736e62;
    padding-top: 30px;
    padding-bottom: 50px;
    display: none;
  }

  .header-site-menu.is-show {
    display: block;
  }

  .toggle-menu-button {
    display: block;
    width: 44px;
    height: 34px;
    background-image: url(../images/common/icon-menu.png);
    background-size: 50%;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    border-radius: 0;
    outline: none;
  }
}